# Generated from analytics-psw-0.4.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name analytics-psw

Name: rubygem-%{gem_name}
Version: 0.4.5
Release: 1%{?dist}
Summary: Perceptive Cloud Platform Analytics Service Wrapper
License: 3-Clause BSD
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec-core) >= 2.14.8
# BuildRequires: rubygem(rspec-core) < 2.15
# BuildRequires: rubygem(rspec) >= 2.14.1
# BuildRequires: rubygem(rspec) < 2.15
# BuildRequires: rubygem(simplecov)
BuildArch: noarch

%description
Analytics-psw is a wrapper providing access to the Perceptive Cloud Platform
Analytics service.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Mon Apr 18 2022 mockbuilder - 0.4.5-1
- Initial package
